package com.njcn.pojo.data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author hongawen
 * @Date: 2018/11/13 10:22
 */
@Table(name="PQS_Relevance")
public class Relevance {

    @Id
    @Column(name="TimeId")
    private Date timeId;

    @Column(name="Describe")
    private String describe;

    @Column(name="State")
    private Integer state;

    @Column(name="User_index")
    private String userIndex;

    @Column(name="UpdateTime")
    private Date updateTime;

    public Date getTimeId() {
        return timeId;
    }

    public void setTimeId(Date timeId) {
        this.timeId = timeId;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "Relevance{" +
                "timeId=" + timeId +
                ", describe='" + describe + '\'' +
                ", state=" + state +
                ", userIndex='" + userIndex + '\'' +
                ", updateTime=" + updateTime +
                '}';
    }
}
